Loading...
Searching...
No Matches
raster.c File Reference
`#include <grass/config.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <grass/lidar.h>`
`#include <grass/vector.h>`
Include dependency graph for lidar/raster.c:

Go to the source code of this file.

## Functions

void | P_Sparse_Points (struct Map_info *Out, struct Cell_head *Elaboration, struct bound_box General, struct bound_box Overlap, double **obs, double *param, int *line_num, double pe, double pn, double overlap, int nsplx, int nsply, int num_points, int bilin, struct line_cats *categories, dbDriver *driver, double mean, char *tab_name)
int | P_Regular_Points (struct Cell_head *Elaboration, struct Cell_head *Original, struct bound_box General, struct bound_box Overlap, SEGMENT *out_seg, double *param, double passoN, double passoE, double overlap, double mean, int nsplx, int nsply, int nrows, int ncols, int bilin)

## Function Documentation

## P_Regular_Points()

int P_Regular_Points | ( | struct Cell_head * | Elaboration,
|  | struct Cell_head * | Original,
|  | struct bound_box | General,
|  | struct bound_box | Overlap,
|  | SEGMENT * | out_seg,
|  | double * | param,
|  | double | passoN,
|  | double | passoE,
|  | double | overlap,
|  | double | mean,
|  | int | nsplx,
|  | int | nsply,
|  | int | nrows,
|  | int | ncols,
|  | int | bilin )

Definition at line 199 of file lidar/raster.c.

References dataInterpolateBicubic(), dataInterpolateBilin(), Segment_get(), Segment_put(), X, and Y.

## P_Sparse_Points()

void P_Sparse_Points | ( | struct Map_info * | Out,
|  | struct Cell_head * | Elaboration,
|  | struct bound_box | General,
|  | struct bound_box | Overlap,
|  | double ** | obs,
|  | double * | param,
|  | int * | line_num,
|  | double | pe,
|  | double | pn,
|  | double | overlap,
|  | int | nsplx,
|  | int | nsply,
|  | int | num_points,
|  | int | bilin,
|  | struct line_cats * | categories,
|  | dbDriver * | driver,
|  | double | mean,
|  | char * | tab_name )

Definition at line 9 of file lidar/raster.c.

References dataInterpolateBicubic(), dataInterpolateBilin(), and G_fatal_error().